Package org.eclipse.m2m.atl.emftvm.trace.presentation

# Class TraceModelWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.m2m.atl.emftvm.trace.presentation.TraceModelWizard

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`, `org.eclipse.jface.wizard.IWizard`, `org.eclipse.ui.INewWizard`, `org.eclipse.ui.IWorkbenchWizard`

public class TraceModelWizard extends org.eclipse.jface.wizard.Wizard implements org.eclipse.ui.INewWizard
This is a simple wizard for creating a new model file.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`TraceModelWizard.TraceModelWizardInitialObjectCreationPage`
This is the page where the type of object to create is selected.
`class`
`TraceModelWizard.TraceModelWizardNewFileCreationPage`
This is the one page of the wizard.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<String>`
`FILE_EXTENSIONS`
The supported extensions for created files.
`static final String`
`FORMATTED_FILE_EXTENSIONS`
A formatted list of supported file extensions, suitable for display.
`protected TraceModelWizard.TraceModelWizardInitialObjectCreationPage`
`initialObjectCreationPage`
This is the initial object creation page.
`protected List<String>`
`initialObjectNames`
Caches the names of the types that can be created as the root object.
`protected TraceModelWizard.TraceModelWizardNewFileCreationPage`
`newFileCreationPage`
This is the file creation page.
`protected org.eclipse.jface.viewers.IStructuredSelection`
`selection`
Remember the selection during initialization for populating the default container.
`protected TraceFactory`
`traceFactory`
This caches an instance of the model factory.
`protected TracePackage`
`tracePackage`
This caches an instance of the model package.
`protected org.eclipse.ui.IWorkbench`
`workbench`
Remember the workbench during initialization.

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`TraceModelWizard()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
The framework calls this to create the contents of the wizard.
`protected org.eclipse.emf.ecore.EObject`
`createInitialModel()`
Create a new model.
`protected Collection<String>`
`getInitialObjectNames()`
Returns the names of the types that can be created as the root object.
`org.eclipse.core.resources.IFile`
`getModelFile()`
Get the file from the page.
`void`
`init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
This just records the information.
`boolean`
`performFinish()`
Do the work after everything is specified.

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Field Details

### FILE_EXTENSIONS

public static final List<String> FILE_EXTENSIONS
The supported extensions for created files.

### FORMATTED_FILE_EXTENSIONS

public static final String FORMATTED_FILE_EXTENSIONS
A formatted list of supported file extensions, suitable for display.

### tracePackage

protected TracePackage tracePackage
This caches an instance of the model package.

### traceFactory

protected TraceFactory traceFactory
This caches an instance of the model factory.

### newFileCreationPage

protected TraceModelWizard.TraceModelWizardNewFileCreationPage newFileCreationPage
This is the file creation page.

### initialObjectCreationPage

protected TraceModelWizard.TraceModelWizardInitialObjectCreationPage initialObjectCreationPage
This is the initial object creation page.

### selection

protected org.eclipse.jface.viewers.IStructuredSelection selection
Remember the selection during initialization for populating the default container.

### workbench

protected org.eclipse.ui.IWorkbench workbench
Remember the workbench during initialization.

### initialObjectNames

protected List<String> initialObjectNames
Caches the names of the types that can be created as the root object.

## Constructor Details

### TraceModelWizard

public TraceModelWizard()

## Method Details

### init

public void init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)
This just records the information.

Specified by:
  `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### getInitialObjectNames

protected Collection<String> getInitialObjectNames()
Returns the names of the types that can be created as the root object.

### createInitialModel

protected org.eclipse.emf.ecore.EObject createInitialModel()
Create a new model.

### performFinish

public boolean performFinish()
Do the work after everything is specified.

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### addPages

public void addPages()
The framework calls this to create the contents of the wizard.

Specified by:
  `addPages` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `addPages` in class `org.eclipse.jface.wizard.Wizard`

### getModelFile

public org.eclipse.core.resources.IFile getModelFile()
Get the file from the page.